<%= link_to "Create game", :action => :new %><br/>
<% for b in @boards -%>
<% action = session[b.id].nil? || b.winner != nil ? 'view' : 'play' -%>
<%= link_to "Game ##{b.id}", :action => action, :id => b.id %> size <%= b.size %>,
<% if b.winner.nil? -%>
created by <%=h b.player1%>
<%= link_to "Join", :action => :consider, :id => b.id if b.player2.empty? && session[b.id] != b.player1 %>
<% else -%>
<%=h b.player1 %> vs <%=h b.player2 %> (Winner: <%=h b.winner %> in <%= b.checks.size/2 %> moves)
<% end -%>
</br>
<% end -%>

<% if params[:completed].nil? -%>
<%= link_to "Completed games", :action => 'list', :completed => 1 %>
<% else -%>
<%= link_to "Ongoing games", :action => 'list' %>
<% end -%>
